Bug 443567 - FEAT: Match the new db schema of bz3.0 [#10 TABLE series]
Summary: FEAT: Match the new db schema of bz3.0 [#10 TABLE series]
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: XINSUN
QA Contact: Yu Shao
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: hwcert->BZ3_tracker
TreeView+ depends on / blocked
 
Reported: 2008-04-22 08:36 UTC by XINSUN
Modified: 2008-08-04 17:56 UTC (History)
10 users (show)

Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 17:56:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch to fix : 10. Rename the field is_public from public (2.19 KB, patch)
2008-04-25 06:58 UTC, XINSUN
no flags Details | Diff

Description XINSUN 2008-04-22 08:36:54 UTC
10.   Relate to TABLE series need to change list below:
    10.1  Rename the field is_public from public
        Added :     FIELD  series. is_public
        Removed:    FIELD  series. public

Comment 1 XINSUN 2008-04-25 06:58:06 UTC
Created attachment 303745 [details]
The patch to fix : 10.  Rename the field is_public from public

The Bugzilla::Series module(Series.pm) is only used in the Bugzilla::Chart
module (Chart.pm). And	the Chart module is not used or required in the current
catalog. So just done some changes against the sql query  of "series" table in
the patch.

pls review it.

Nicho

Comment 2 Noura El hawary 2008-04-28 05:39:33 UTC
patch looks good to me nicho

Comment 3 Rob Landry 2008-07-17 21:05:03 UTC
Please commit this change to CVS and set the status to MODIFIED.

Comment 4 eric_liu 2008-08-01 11:33:00 UTC
tested and run good 


Note You need to log in before you can comment on or make changes to this bug.